package com.csc.library.command;

import com.csc.library.properties.CommandStateTemp;
import com.csc.library.request.CommandState;
import com.csc.library.request.RequestWebsocket;
import com.csc.library.response.ResponseData;

public interface CscCommand<T> {
	public void setRequest(RequestWebsocket req);
	public void execute(T param) throws Exception;
	public void setResult(ResponseData res);
	public CommandState getCommandState();
}
