package com.csc.library.factory;

import java.util.List;
import java.util.Map;

import com.csc.library.command.CommandLists;
import com.csc.library.command.CommandRecord;
import com.csc.library.command.CscCommand;
import com.csc.library.response.ResDataImpl;
import com.csc.library.response.ResponseData;

public class ResponseDataFactory {
	private static ResponseDataFactory instance;
	
	private ResponseDataFactory(){}
	
	public static ResponseDataFactory getInstance(){
		if(instance == null){
			instance = new ResponseDataFactory();
		}
		return instance;
	}
	
	public ResponseData createResponseData(CscCommand command){
		ResDataImpl resData = new ResDataImpl();
		command.setResult(resData);
		return resData;
	}
}
