package com.csc.library.command;

import com.csc.library.properties.JsonFile;
import com.csc.library.response.ResponseData;

public abstract class CommandFileResult<T> extends CommandBase<T>{
	private JsonFile file = null;
	@Override
	final public void setResult(ResponseData res) {
		res.setFile(this.file);
	}
	
	final protected void setFile(JsonFile file){
		this.file = file;
	}
}
