package com.csc.library.factory;

import com.csc.library.properties.CscState;
import com.csc.library.properties.MyStateCommand;

public class StateCommandFactory {
	private static StateCommandFactory instance;
	
	private StateCommandFactory(){}
	
	public static StateCommandFactory getInstance(){
		if(instance == null){
			instance = new StateCommandFactory();
		}
		return instance;
	}
	
	public CscState createCommandState(){
		return new MyStateCommand();
	}
}
