package com.csc.library.modecontroller;

import java.util.Map;

import com.csc.library.command.CscCommand;
import com.csc.library.request.RequestParameter;

public interface CMDModeManagement{
	
	public interface ModeCtrl{
		public void execute(CscCommand command ,RequestParameter reqParam) throws Exception;
	}
	
	public interface ModeBuilder{
		public void load(String path);
		public String getClassName(String code);
		public Map<String, String> getParamConfig(String code);
	}
}
